declare
  dummy number(1) := 0;
begin
  begin
    select 1
      into dummy
      from agrupaciones_trab
     where agrupacion = 'TIPO_COTIZ'
     and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    sp_alta_agrupaciones_trab('TIPO_COTIZ',
                              'Tipo de Cotizante Planilla Integrada',
                              1,
                              0);
  end if;

  begin
    select 1
      into dummy
      from rel_agr_companias
     where agrupacion = 'TIPO_COTIZ'
     and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    insert into rel_agr_companias
      (agrupacion, compania)
      SELECT 'TIPO_COTIZ', compania FROM companias;
  end if;

  begin
    select 1
      into dummy
      from datos_agr_trab
     where agrupacion = 'TIPO_COTIZ'
     and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    sp_alta_datos_agr_trab('TIPO_COTIZ', '01', 'Dependiente');
    sp_alta_datos_agr_trab('TIPO_COTIZ', '12', 'Aprendices del SENA en etapa Lectiva');
    sp_alta_datos_agr_trab('TIPO_COTIZ', '17', 'Afiliado c. requisitos cumplidos pensión');
    sp_alta_datos_agr_trab('TIPO_COTIZ', '19', 'Aprendices del SENA en etapa Productiva');
    sp_alta_datos_agr_trab('TIPO_COTIZ', '20', 'Estudiantes');
    sp_alta_datos_agr_trab('TIPO_COTIZ', '99', 'Planilla Integrada para Pensionados');
  end if;

end;
/